<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>IEvent()&#160;:&#160;<a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">gg::IEvent</a></li>
<li>IEventSubscriber()&#160;:&#160;<a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">gg::IEventSubscriber</a></li>
<li>Image()&#160;:&#160;<a class="el" href="classgg_1_1Image.html#a92c0a2c5e641cd3acbe8bc09e6e85067">gg::Image</a></li>
<li>IncreaseTaxFactor()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#a98a8c20510d1028bfd2582285b30e4ed">gg::Gameplay</a></li>
<li>IncrementNumberOfSubscribedEvents()&#160;:&#160;<a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">gg::IEventSubscriber</a></li>
<li>Init()&#160;:&#160;<a class="el" href="classgg_1_1FontManager.html#a0a1ddc18f4b288aba1ce19c357c5b782">gg::FontManager</a>, <a class="el" href="classgg_1_1GameEngine.html#a674fec65e7cc736d53b80a62149ccb5a">gg::GameEngine</a>, <a class="el" href="classgg_1_1Logger.html#a09108b93348b8640d9e9d4ba62e91b1d">gg::Logger</a>, <a class="el" href="classgg_1_1SceneManager.html#a19e50b107c00485bfb4295a74a2111ba">gg::SceneManager</a>, <a class="el" href="classgg_1_1StyleManager.html#ab16df2ab91a2f7b66f29de323b2bfa71">gg::StyleManager</a>, <a class="el" href="classgg_1_1TextureManager.html#acc7ee4c5254be2716920fde6d54cd823">gg::TextureManager</a></li>
<li>IsActive()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#abcb1e788363581e54b580b9a5a9b28e1">gg::Scene</a></li>
<li>IsDirty()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">gg::SceneNode</a></li>
<li>IsGrass()&#160;:&#160;<a class="el" href="classgg_1_1TerrainTile.html#ae7b2a5d30ac9342a349517bf27018bd4">gg::TerrainTile</a></li>
<li>IsIndustrial()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a47c85b1dd1592f7de2cdd05b934f52e9">gg::BuildingTile</a></li>
<li>IsKeyPressed()&#160;:&#160;<a class="el" href="classgg_1_1InputEngine.html#a03577cae47a77e9c7f864ad4117837c4">gg::InputEngine</a></li>
<li>IsResidential()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a7f6d02f81f64d831817c3e37f537b8ca">gg::BuildingTile</a></li>
<li>IsRoot()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">gg::SceneNode</a></li>
<li>IsSpriteClicked()&#160;:&#160;<a class="el" href="classgg_1_1InputEngine.html#ae86c20d9abcb6d5a511e4487dff0e5a8">gg::InputEngine</a></li>
<li>IsSpriteHovered()&#160;:&#160;<a class="el" href="classgg_1_1InputEngine.html#a76743ce468e83880bfd37e4bc8c2b515">gg::InputEngine</a></li>
<li>IsWater()&#160;:&#160;<a class="el" href="classgg_1_1TerrainTile.html#ab4d34dd713679c8282baf6c77fde4711">gg::TerrainTile</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
